
Foreman - Feature #851

display diff view on Puppet file content change

04/18/2011 05:28 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While reading the release notes of the new Puppet Dashboard, I cam across this really interesting feature:

"Filebucket integration. .... Dashboard is now filebucket-aware. When the checksum of a file is mentioned in a report, Dashboard will

offer to display the bucketed contents. Similarly, when a file’s content changes, you will have the option to view a diff."

It would be great to see a feature like this in Foreman. Extremely handy...

It's not clear to me if it supports client side bucket, or server side only.

Associated revisions

Revision 0fe08ca9 - 01/21/2013 07:48 AM - Amos Benari

fixes #851 - display diff view on Puppet file content change

new version of ace editor, better diff colors, diff in report show page.

History

#1 - 05/04/2011 08:01 AM - Ohad Levy

- Target version deleted (0.3)

#2 - 07/04/2011 05:14 AM - Marcello de Sousa

Extra info:

http://docs.puppetlabs.com/guides/rest_api.html#file-bucket

http://groups.google.com/group/puppet-users/browse_thread/thread/30ea08611484d014/93f60aa6c239171e

#3 - 07/18/2011 10:44 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

#4 - 09/14/2011 10:32 AM - RWX Inc

I'd like to revive that feature request.

We are going to implement Puppet/Foreman in our environment and that feature would be necessary for us.

Is there any development on this?

TIA

#5 - 09/29/2011 10:21 AM - RWX Inc

Bump!

#6 - 07/02/2012 05:12 PM - Marcello de Sousa

- Assignee set to Ohad Levy
http://docs.puppetlabs.com/guides/rest_api.html#file-bucket
http://groups.google.com/group/puppet-users/browse_thread/thread/30ea08611484d014/93f60aa6c239171e


I guess you want to assign this one to 1.1 and the proxy. But I don't have rights to do that...

#7 - 01/21/2013 07:27 AM - Ohad Levy

- Subject changed from Make Foreman Filebucket aware, able to see bucketed file contents and diffs to display diff view on Puppet file content change

- Target version set to 1.1

Puppet now sends the diff in the report it self, not requiring the round trip to the server to fetch the filebucket.

#8 - 01/21/2013 07:54 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 0fe08ca9fe158e2cde30a15d2141a76c1de83e79.
